Your submission was sent successfully! Close

CVE-2019-5060

Published: 31 July 2019

An exploitable code execution vulnerability exists in the XPM image rendering function of SDL2_image 2.0.4. A specially crafted XPM image can cause an integer overflow in the colorhash function, allocating too small of a buffer. This buffer can then be written out of bounds, resulting in a heap overflow, ultimately ending in code execution. An attacker can display a specially crafted image to trigger this vulnerability.

Priority

Medium

CVSS 3 base score: 8.8

Status

Package Release Status
libsdl2-image
Launchpad, Ubuntu, Debian
bionic Needed

disco Ignored
(reached end-of-life)
eoan
Released (2.0.5+dfsg1-1)
focal
Released (2.0.5+dfsg1-1)
groovy
Released (2.0.5+dfsg1-1)
hirsute
Released (2.0.5+dfsg1-1)
impish
Released (2.0.5+dfsg1-1)
jammy
Released (2.0.5+dfsg1-1)
precise Does not exist

trusty Does not exist

upstream
Released (2.0.5+dfsg1-1)
xenial Ignored
(end of standard support, was needed)